Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum https://forum.linuxiarze.pl

lightzone error

Started by bazzvn, June 23, 2022, 03:02:32 AM

Previous topic - Next topic

bazzvn

When trying to open lightzone I get this error message: Couldn't link with native library: "LCJPEG
/usr/lib/lightzone/libLCJPEG.so: libjpeg.so.8: cannot open shared object file: No such file or directory.

There was an earlier thread in November 2021 in the forums on this issue, https://forum.sparkylinux.org/index.php/topic,5911.msg16098.html#msg16098, and the problem was reported to have been fixed. However, it still persists in Sparky 6.3 KDE edition, at least for me (on two separate Dell laptops). To work around the problem I downloaded and installed lightzone_4.2.4-0obs1_amd64.deb from the Suse Open Build Service. This works just fine. However, this seems to be overwritten every time Sparky Linux is updated (daily in my case). As a heavy user of Lightzone, that means I have to reinstall the Suse OBS deb almost daily, which is a pain to say the least.

So if this problem can't be fixed in the repository version, is there some way I can exclude Lightzone being upgraded (or overwritten) every time there is a system update?

Thanks in advance.
bazzvn

bazzvn

After posting, I saw this thread https://forum.sparkylinux.org/index.php/topic,6086.0.html which I think answers my question. So I have just tried 'sudo apt-mark hold lightzone'. I'll wait and see how it goes over the next few days, and if it solves my problem I will mark it as solved.

View the most recent posts on the forum